Bug 509509 - Xorg crashes during key presses
Xorg crashes during key presses
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-03 03:38 EDT by Nathan G. Grennan
Modified: 2010-02-26 11:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-26 11:54:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2009-07-03 03:38:18 EDT
Description of problem:
  Xorg crashed while I was trying to do a keyboard shortcut. I am not sure exactly what I pressed, but it might have been ctrl-alt-f1. Which would have taken me to the other user. I use fast-user-switching. The other user logs in first on F1, and I use switch user to login on F7.

  I am pretty sure this is the same bug as, 478823. But that one was closed.


Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x26) [0x4e89b6]
1: /usr/bin/Xorg(xf86SigHandler+0x6f) [0x47d63f]
2: /lib64/libc.so.6 [0x7f7ec2535430]
3: /usr/bin/Xorg(DeliverEventsToWindow+0x454) [0x453694]
4: /usr/bin/Xorg(DeliverDeviceEvents+0x357) [0x454117]
5: /usr/bin/Xorg(ProcessOtherEvent+0x3b3) [0x5353f3]
6: /usr/bin/Xorg(ProcessKeyboardEvent+0xd0) [0x55c920]
7: /usr/bin/Xorg(mieqProcessInputEvents+0x340) [0x4c9a80]
8: /usr/bin/Xorg(ProcessInputEvents+0x9) [0x47e129]
9: /usr/bin/Xorg(Dispatch+0x2ad) [0x446e0d]
10: /usr/bin/Xorg(main+0x3b5) [0x42d0d5]
11: /lib64/libc.so.6(__libc_start_main+0xfd) [0x7f7ec2520aed]
12: /usr/bin/Xorg [0x42c559]

Fatal server error:
Caught signal 11.  Server aborting

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64

How reproducible:
Unknown
Comment 1 Matěj Cepl 2009-07-21 17:45:49 EDT
Could we get a complete /var/log/Xorg.0.log please? Otherwise, just ASSIGNING.
Comment 2 Matěj Cepl 2009-11-05 13:33:52 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Matěj Cepl 2010-02-26 07:20:31 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 4 Matěj Cepl 2010-02-26 07:29:36 EST
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Notice, that this is an automatically filed comment for all bugs with hanging NEEDINFO for longer time; it is possible by quirks of bugzilla, that some bugs are in this state even though you have attached the required information; please, make a comment to this bug ... that we should see correctly; I am sorry for the bothering you in such case.]
Comment 5 Nathan G. Grennan 2010-02-26 11:54:59 EST
I haven't seen this since. So I will close the bug.

Note You need to log in before you can comment on or make changes to this bug.